;Ϳ
;  STR.ASM - String functions                                   
;                                                               
;  VCDID - CD-I filesystem driver                               
;  (c) 1997 - 1999 Vahur Sinijrv                               
;                                                               
;  You are free to use any part of this source code, provided   
;  that credit is given to author in such cases.                
;
.386p
        .xlist
        INCLUDE vmm.inc
        .list

VxD_CODE_SEG
_strncmp        PROC
                PUBLIC  _strncmp

                push    edi
                push    esi
                mov     edi, [esp+2*4+4+0]
                mov     esi, [esp+2*4+4+4]
                mov     ecx, [esp+2*4+4+8]
                repz    cmpsb
                setnz   al
                movzx   eax, al
                pop     esi
                pop     edi
                ret
_strncmp        ENDP

_memcpy         PROC
                PUBLIC  _memcpy

                push    edi
                push    esi
                mov     edi, [esp+2*4+4+0]
                mov     esi, [esp+2*4+4+4]
                mov     ecx, [esp+2*4+4+8]
                push    ecx
                shr     ecx, 2
                rep     movsd
                pop     ecx
                and     ecx, 3
                rep     movsb

                pop     esi
                pop     edi
                ret
_memcpy         ENDP

_zeromem        PROC
                PUBLIC  _zeromem

                push    edi
                mov     edi, [esp+4+4+0]
                mov     ecx, [esp+4+4+4]
                xor     eax, eax
                push    ecx
                shr     ecx, 2
                rep     stosd
                pop     ecx
                and     ecx, 3
                rep     stosb

                pop     edi
                ret
_zeromem        ENDP

;-----------------------------------------------------
; IN:   TOS+0 - ptr to string
;       TOS+4 - character position where scan starts
;
; OUT:  EAX   - length of right-trimmed string
;
; REM:  No zero will be appended
;-----------------------------------------------------
_trim_right     PROC
                PUBLIC  _trim_right

                push    edi
                mov     edi, [esp+4+4+0]
                mov     ecx, [esp+4+4+4]

                mov     al, ' '
                add     edi, ecx
                inc     ecx
                std
                repz    scasb
                setnz   al
                movzx   eax, al
                cld
                add     eax, ecx

                pop     edi
                ret
_trim_right     ENDP

VxD_CODE_ENDS

END
